Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class TaskContext

    java.lang.Object
      org.jbpm.services.task.commands.TaskContext

All Implemented Interfaces:
  org.kie.internal.command.Context

    public class TaskContext

extends Object
implements org.kie.internal.command.Context

Constructor Summary
`TaskContext()`
`TaskContext(TaskServiceEntryPointImpl taskService)`

Method Summary
`Object` | `get(String string)`
`org.kie.internal.command.World` | `getContextManager()`
`TaskLifeCycleEventListener` | `getEventListener()`
`String` | `getName()`
`JbpmServicesPersistenceManager` | `getPm()`
`org.kie.internal.task.api.TaskAttachmentService` | `getTaskAttachmentService()`
`org.kie.internal.task.api.TaskContentService` | `getTaskContentService()`
`org.kie.internal.task.api.TaskDefService` | `getTaskDefService()`
`javax.enterprise.event.Event<Task>` | `getTaskEvents()`
`org.kie.internal.task.api.TaskIdentityService` | `getTaskIdentityService()`
`org.kie.internal.task.api.TaskQueryService` | `getTaskQueryService()`
`TaskServiceEntryPointImpl` | `getTaskService()`
`org.kie.internal.task.api.UserGroupCallback` | `getUserGroupCallback()`
`void` | `remove(String string)`
`void` | `set(String string, Object o)`
`void` | `setEventListener(TaskLifeCycleEventListener eventListener)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setTaskAttachmentService(org.kie.internal.task.api.TaskAttachmentService taskAttachmentService)`
`void` | `setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)`
`void` | `setTaskDefService(org.kie.internal.task.api.TaskDefService taskDefService)`
`void` | `setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)`
`void` | `setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)`
`void` | `setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)`
`void` | `setUserGroupCallback(org.kie.internal.task.api.UserGroupCallback userGroupCallback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContext

    public TaskContext()

### TaskContext

    public TaskContext(TaskServiceEntryPointImpl taskService)

Method Detail

### getTaskService

    public TaskServiceEntryPointImpl getTaskService()

### getPm

    public JbpmServicesPersistenceManager getPm()

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### getTaskDefService

    public org.kie.internal.task.api.TaskDefService getTaskDefService()

### setTaskDefService

    public void setTaskDefService(org.kie.internal.task.api.TaskDefService taskDefService)

### getTaskQueryService

    public org.kie.internal.task.api.TaskQueryService getTaskQueryService()

### getTaskContentService

    public org.kie.internal.task.api.TaskContentService getTaskContentService()

### setTaskContentService

    public void setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)

### getTaskAttachmentService

    public org.kie.internal.task.api.TaskAttachmentService getTaskAttachmentService()

### setTaskAttachmentService

    public void setTaskAttachmentService(org.kie.internal.task.api.TaskAttachmentService taskAttachmentService)

### setTaskQueryService

    public void setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)

### getTaskIdentityService

    public org.kie.internal.task.api.TaskIdentityService getTaskIdentityService()

### setTaskIdentityService

    public void setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)

### getTaskEvents

    public javax.enterprise.event.Event<Task> getTaskEvents()

### setTaskEvents

    public void setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)

### getEventListener

    public TaskLifeCycleEventListener getEventListener()

### getUserGroupCallback

    public org.kie.internal.task.api.UserGroupCallback getUserGroupCallback()

### setUserGroupCallback

    public void setUserGroupCallback(org.kie.internal.task.api.UserGroupCallback userGroupCallback)

### setEventListener

    public void setEventListener(TaskLifeCycleEventListener eventListener)

### getContextManager

    public org.kie.internal.command.World getContextManager()

  Specified by:
    `getContextManager` in interface `org.kie.internal.command.Context`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.command.Context`

### get

    public Object get(String string)

  Specified by:
    `get` in interface `org.kie.internal.command.Context`

### set

    public void set(String string,
                    Object o)

  Specified by:
    `set` in interface `org.kie.internal.command.Context`

### remove

    public void remove(String string)

  Specified by:
    `remove` in interface `org.kie.internal.command.Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.